<?php
 include 'header.php';
?>

<div class="app-content content">
    <div class="content-wrapper">
        <div class="content-body">
            <div class="row">
                <div class="col-xl-12 col-lg-12">
                    <div class="card">
                        <div class="card-body">
                            <div class="card-content">
                                <div class="card-body"> 
                                    <div class="card-header">
                                        <h4 class="card-title" id="striped-row-layout-icons"><b>Employee Information</b></h4>
                                    </div>
                                    <div class="form-actions right" style="text-align:right;margin-right:10px" >
                                        <a href="./registerStaff.php"><button type="button" class="btn button" id="btnAddStaff">
                                            <i class="fa fa-plus"></i>&nbsp;&nbsp;Add Employee
                                        </button></a>
                                    </div>
                                    <div class="form-actions right">
                                        <?php 
                                            $query = mysqli_query($con,"SELECT * FROM users ORDER BY username ASC");
                                            $query2 = mysqli_query($con,"SELECT * FROM users ORDER BY username ASC");
                                            $row_count = mysqli_num_rows($query);
                                            if($row_count == 0) {
                                                echo '<div style="display:flex;height:100px"><span style="text-align:center;margin:auto;font-size:18px">No Any Employee Records.</span></div>';
                                            } else {
                                                echo ' 
                                                <span style="margin-left: 15px">Employee Name :</span> 
                                                <select style="margin: 10px; display: inline-flex;height:auto" class="form-control" id="slStaffName">
                                                    <option value="">-- Any --</option>';
                                                    while($row2 = mysqli_fetch_array($query2))
                                                    { 
                                                        echo '<option value="'.$row2["username"].'">'.$row2["username"].'</option>';
                                                    }
                                                echo '</select>
                                                <table class="table table-striped table-bordered base-style" style="text-align:center;table-layout:fixed" id="staffTable">
                                                    <thead>
                                                        <tr>
                                                            <th>Employee Name</th>
                                                            <th>Email</th>
                                                            <th>Role</th>
                                                            <th style="width:10.5%">Action</th>
                                                            <th style="width:10.5%">Action</th>
                                                         </tr>
                                                    </thead>
                                                    <tbody>';  
                                                        while($row = mysqli_fetch_array($query))
                                                        { echo'<tr>
                                                                    <td>'.$row["username"].'</td>
                                                                    <td>'.$row['email'].'</td>
                                                                    <td>'.$row['role'].'</td>
                                                                    <td><a href="staffInfo.php?'.base64_encode("fid").'='.base64_encode($row['id']).'">
                                                                        <div style="font-size:14px;color:#6495ed"><i class="ft-edit"></i>&nbsp;Edit</div></a></td>
                                                                    <td><a>
                                                                        <div style="font-size:14px;color:#404E67" onclick="removeRecord('.$row['id'].')"><i class="ft-trash-2"></i>&nbsp;Remove</div></a></td>
                                                                </tr>';
                                                        }
                                                    echo '</tbody>
                                                </table>'; 
                                            }?>
                                    </div>                 
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<script type="text/javascript" src="assets/js/jquery-3.4.1.min.js"></script>
<script type="text/javascript">
    $(document).ready(function(){
        var table = $('#staffTable').DataTable({
            "order": []
        });

        $("#slStaffName").change(function() {
                table
                .columns(0)
                .search( this.value )
                .draw();
        });

        $("#staffTable_filter input").on('keydown',function(){
            $('#slStaffName').get(0).selectedIndex = 0;
            table.columns().search("");
        })
    });

    function removeRecord(id){
        var result = confirm("Want to remove this employee?")
        if(result){
            window.location = './actions/staffRecordDelete.php?'+btoa('fid')+'='+btoa(id);
            return false;
        } else {
            return false;
        }
    }
</script>


<?php
include 'footer.php';
?>